%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define	name	krb5
%define version 1.8.3
%define release %mkrel 5

%define	major	3
%define	libname	%mklibname %name %major

# enable checking after compile
%define enable_check 0
%{?_with_check: %global %enable_check 1}

Summary:	The Kerberos network authentication system
Name:		%{name}
Version:	%{version}
Release:	%{release}
# from http://web.mit.edu/kerberos/dist/krb5/1.4/krb5-1.4.1-signed.tar
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-%{version}.tar.gz.asc
Source2:	kprop.init
Source4:	kadmin.init
Source5:	krb5kdc.init
Source6:	krb5.conf
Source10:	kdc.conf
Source11:	kadm5.acl 
Source19:	krb5kdc.sysconfig 
Source20:	kadmin.sysconfig
Source23: krb5-%{version}-pdf.tar.gz
Source24: krb5-tex-pdf.sh
Source25: krb5-1.8-manpaths.txt 
Source29: ksu.pamd
Source30: kerberos-iv.portreserve
Source31: kerberos-adm.portreserve
Source32: krb5_prop.portreserve 

Patch0:    krb5-1.8.1-fix-format-errors.patch
# stolen from fedora
Patch5:  krb5-1.8-ksu-access.patch
Patch6:  krb5-1.8-ksu-path.patch
Patch12: krb5-1.7-ktany.patch
Patch16: krb5-1.7-buildconf.patch
Patch23: krb5-1.3.1-dns.patch
Patch29: krb5-1.8-kprop-mktemp.patch
Patch30: krb5-1.3.4-send-pr-tempfile.patch
Patch39: krb5-1.8-api.patch
Patch53: krb5-1.7-nodeplibs.patch
Patch56: krb5-1.7-doublelog.patch
Patch58: krb5-1.8-key_exp.patch
Patch59: krb5-1.8-kpasswd_tcp.patch
Patch60: krb5-1.8-pam.patch
Patch61: krb5-1.8-manpaths.patch 
Patch71: krb5-1.8-dirsrv-accountlock.patch
Patch72: http://web.mit.edu/kerberos/advisories/2010-006-patch.txt
Patch73: http://web.mit.edu/kerberos/advisories/2010-007-patch.txt
Patch74: http://web.mit.edu/kerberos/advisories/2011-001-patch.txt
Patch75: http://web.mit.edu/kerberos/advisories/2011-002-patch.txt
Patch76: http://web.mit.edu/kerberos/advisories/2011-003-patch.txt
Patch77: http://web.mit.edu/kerberos/advisories/2011-004-patch.txt

License:	MIT
URL:		http://web.mit.edu/kerberos/www/
Group:		System/Libraries
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	texinfo
BuildRequires:	termcap-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	pam-devel
%if %enable_check
BuildRequires:	dejagnu
%endif
BuildRequires:	multiarch-utils >= 1.0.3
%if !%bootstrap
BuildRequires:	openldap-devel
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.

%package -n	%{libname}-devel
Summary:	Development files needed for compiling Kerberos 5 programs
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	krb-devel = %{version}-%{release}
Provides:	krb5-devel = %{version}-%{release}
Provides:	libkrb-devel
Obsoletes:	krb-devel 
Obsoletes:	krb5-devel
Obsoletes:	libkrb51-devel

%description -n	%{libname}-devel
Kerberos is a network authentication system.  The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you'll
need to install this package.

%package -n	%{libname}
Summary:	The shared libraries used by Kerberos 5
Group:		System/Libraries
Provides:	krb5-libs = %{version}-%{release}
Obsoletes:	krb5-libs
Obsoletes:	libkrb51
# we need the conf file, and better make sure it's a recent version
# for example, previous MIT kerberos versions didn't have ldap support,
# and this is specified in the conf file
Requires:       %{name} >= %{version}

%description -n	%{libname}
Kerberos is a network authentication system.  The krb5-libs package
contains the shared libraries needed by Kerberos 5.  If you're using
Kerberos, you'll need to install this package.

%package	server
Group:		System/Servers
Summary:	The server programs for Kerberos 5
Requires:	%{libname} = %{version}-%{release}
Requires:	portreserve
Requires(post):	rpm-helper
Requires(preun):rpm-helper

%description	server
Kerberos is a network authentication system.  The krb5-server package
contains the programs that must be installed on a Kerberos 5 server.
If you're installing a Kerberos 5 server, you need to install this
package (in other words, most people should NOT install this
package).

%package server-ldap
Group:		System/Servers
Summary: The LDAP storage plugin for the Kerberos 5 KDC
Requires: %{name}-server = %{version}-%{release}

%description server-ldap
Kerberos is a network authentication system. The krb5-server package
contains the programs that must be installed on a Kerberos 5 key
distribution center (KDC). If you are installing a Kerberos 5 KDC,
and you wish to use a directory server to store the data for your
realm, you need to install this package. 

%package	workstation
Summary:	Kerberos 5 programs for use on workstations
Group:		System/Base
Requires:	%{libname} = %{version}-%{release}
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Provides:       kerberos-workstation

%description	workstation
Kerberos is a network authentication system.  The krb5-workstation
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd). If your network uses Kerberos, this package should be installed
on every workstation.

%package pkinit-openssl
Summary:    The PKINIT module for Kerberos 5
Group:		System/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description pkinit-openssl
Kerberos is a network authentication system. The krb5-pkinit-openssl
package contains the PKINIT plugin, which uses OpenSSL to allow clients
to obtain initial credentials from a KDC using a private key and a
certificate. 

%prep
%setup -q -a 23 
%patch0 -p1
%patch60 -p1 -b .pam
%patch61 -p1 -b .manpaths
%patch5 -p1 -b .ksu-access
%patch6 -p1 -b .ksu-path
%patch12 -p1 -b .ktany
%patch16 -p1 -b .buildconf
%patch23 -p1 -b .dns
%patch29 -p1 -b .kprop-mktemp
%patch30 -p1 -b .send-pr-tempfile
%patch39 -p1 -b .api
%patch53 -p1 -b .nodeplibs
%patch56 -p1 -b .doublelog
%patch58 -p1 -b .key_exp
%patch59 -p1 -b .kpasswd_tcp
%patch71 -p1 -b .dirsrv-accountlock 
%patch72 -p1 -b .2010-006
%patch73 -p1 -b .2010-007
%patch74 -p1 -b .2011-001
%patch75 -p1 -b .2011-002
%patch76 -p1 -b .2011-003
%patch77 -p1 -b .2011-004

gzip doc/*.ps

sed -i -e '1s!\[twoside\]!!;s!%\(\\usepackage{hyperref}\)!\1!' \
    doc/api/library.tex
sed -i -e '1c\
\\documentclass{article}\
\\usepackage{fixunder}\
\\usepackage{functions}\
\\usepackage{fancyheadings}\
\\usepackage{hyperref}' doc/implement/implement.tex

# Take the execute bit off of documentation.
chmod -x doc/krb5-protocol/*.txt doc/*.html doc/*/*.html 

# Rename the man pages so that they'll get generated correctly. Uses the
# "krb5-1.8-manpaths.txt" source file.
pushd src
cat %{SOURCE25} | while read manpage ; do
    mv "$manpage" "$manpage".in
done
popd 

sed -i s,^attributetype:,attributetypes:,g \
    src/plugins/kdb/ldap/libkdb_ldap/kerberos.ldif 

pushd src
autoreconf

%build
%serverbuild

cd src
# Work out the CFLAGS and CPPFLAGS which we intend to use.
INCLUDES=-I%{_includedir}/et
CFLAGS="`echo $RPM_OPT_FLAGS $DEFINES $INCLUDES -fPIC`"
CPPFLAGS="`echo $DEFINES $INCLUDES`" 

%configure2_5x \
    CC="%{__cc}" \
    CFLAGS="$CFLAGS" \
    CPPFLAGS="$CPPFLAGS" \
    --enable-shared \
    --localstatedir=%{_sysconfdir}/kerberos \
    --without-krb4 \
    --enable-dns-for-realm \
    --enable-pkinit \
    --without-tcl \
    --with-system-et \
    --with-system-ss \
    --disable-static \
    --disable-rpath \
%if !%bootstrap
    --with-ldap \
%endif
    --with-pam

    #--with-netlib=-lresolv

%make

# Run the test suite.  Won't run in the build system because /dev/pts is
# not available for telnet tests and so on.
# make check TMPDIR=%{_tmppath}

%install
rm -rf %{buildroot}

# Info docs.
mkdir -p %{buildroot}%{_infodir}
install -m 644 doc/*.info* %{buildroot}%{_infodir}

# Sample KDC config files (bundled kdc.conf and kadm5.acl).
install -d -m 755 %{buildroot}%{_sysconfdir}/kerberos/krb5kdc
install -m 0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kdc.conf
install -m 0600 %{SOURCE11} %{buildroot}%{_sysconfdir}/kerberos/krb5kdc/kadm5.acl

# Default configuration file for everything.
mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/krb5.conf

# Server init scripts (krb5kdc,kadmind,kpropd) and their sysconfig files.
mkdir -p %{buildroot}/etc/rc.d/init.d
for init in \
    %{SOURCE5}\
    %{SOURCE4} \
    %{SOURCE2} ; do
    install -pm 755 ${init} \
    %{buildroot}/etc/rc.d/init.d/`basename ${init} .init`
done

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
for sysconfig in \
    %{SOURCE19}\
    %{SOURCE20} ; do
    install -pm 644 ${sysconfig} \
    %{buildroot}%{_sysconfdir}/sysconfig/`basename ${sysconfig} .sysconfig`
done

# portreserve configuration files.
mkdir -p %{buildroot}%{_sysconfdir}/portreserve
for portreserve in \
    %{SOURCE30} \
    %{SOURCE31} \
    %{SOURCE32} ; do
    install -pm 644 ${portreserve} \
    %{buildroot}/%{_sysconfdir}/portreserve/`basename ${portreserve} .portreserve`
done

# PAM configuration files.
mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
for pam in \
    %{SOURCE29} ; do
    install -pm 644 ${pam} \
    %{buildroot}/%{_sysconfdir}/pam.d/`basename ${pam} .pamd`
done

# Plug-in directories.
install -pdm 755 %{buildroot}%{_libdir}/krb5/plugins/preauth
install -pdm 755 %{buildroot}%{_libdir}/krb5/plugins/kdb
install -pdm 755 %{buildroot}%{_libdir}/krb5/plugins/authdata

# The rest of the binaries, headers, libraries, and docs.
make -C src \
    DESTDIR=%{buildroot} \
    EXAMPLEDIR=%{_docdir}/%{libname}-devel/examples\
    install

# logdir
install -d %{buildroot}/var/log/kerberos

# clear the LDFLAGS
perl -pi -e "s|^LDFLAGS.*|LDFLAGS=''|g" %{buildroot}%{_bindir}/krb5-config

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/krb5-config
%multiarch_includes %{buildroot}%{_includedir}/gssapi/gssapi.h
# (gb) this one could be fixed differently and properly using <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/gssrpc/types.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/k5-config.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/autoconf.h
# multiarch_includes %{buildroot}%{_includedir}/krb5/osconf.h
%multiarch_includes %{buildroot}%{_includedir}/krb5.h

%post server
%_post_service krb5kdc
%_post_service kadmin
%_post_service kprop
%_install_info krb5-admin.info
%_install_info krb5-install.info

%preun server
%_preun_service krb5kdc
%_preun_service kadmin
%_preun_service kprop
%_remove_install_info krb5-admin.info
%_remove_install_info krb5-install.info

%post workstation
%_install_info krb5-user.info

%preun workstation
%_remove_install_info krb5-user.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/krb5.conf
%dir %{_sysconfdir}/kerberos
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%{_mandir}/man1/kerberos.1*
%{_mandir}/man5/.k5login.5*
%{_mandir}/man5/krb5.conf.5*

%files workstation
%defattr(-,root,root)
%doc doc/user*.ps.gz src/config-files/services.append
%doc doc/{kdestroy,kinit,klist,kpasswd,ksu}.html 
%doc doc/krb5-user.html 
%attr(0755,root,root) %doc src/config-files/convert-config-files
%{_infodir}/krb5-user.info*

%{_bindir}/kdestroy
%{_mandir}/man1/kdestroy.1*
%{_bindir}/kinit
%{_mandir}/man1/kinit.1*
%{_bindir}/klist
%{_mandir}/man1/klist.1*
%{_bindir}/kpasswd
%{_mandir}/man1/kpasswd.1*

%{_bindir}/kvno
%{_mandir}/man1/kvno.1*
%{_bindir}/kadmin
%{_mandir}/man1/kadmin.1*
%{_bindir}/k5srvutil
%{_mandir}/man1/k5srvutil.1*
%{_bindir}/ktutil
%{_mandir}/man1/ktutil.1*

%attr(4755,root,root) %{_bindir}/ksu
%{_mandir}/man1/ksu.1*
%config(noreplace) /etc/pam.d/ksu 

# Problem-reporting tool
%{_datadir}/gnats
%{_sbindir}/krb5-send-pr
%{_mandir}/man1/krb5-send-pr.1*


%files server
%defattr(-,root,root)
%{_initrddir}/krb5kdc
%{_initrddir}/kadmin
%{_initrddir}/kprop
%config(noreplace) %{_sysconfdir}/sysconfig/krb5kdc
%config(noreplace) %{_sysconfdir}/sysconfig/kadmin
%config(noreplace) %{_sysconfdir}/portreserve/kerberos-iv 
%config(noreplace) %{_sysconfdir}/portreserve/kerberos-adm
%config(noreplace) %{_sysconfdir}/portreserve/krb5_prop 

%doc doc/admin*.ps.gz
%doc doc/install*.ps.gz
%doc doc/krb5-admin.html 
%doc doc/krb5-install.html 
%{_infodir}/krb5-admin.info*
%{_infodir}/krb5-install.info*
%dir /var/log/kerberos
%dir %{_sysconfdir}/kerberos/krb5kdc 
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kdc.conf
%config(noreplace) %{_sysconfdir}/kerberos/krb5kdc/kadm5.acl
%{_mandir}/man5/kdc.conf.5*
%{_sbindir}/kadmin.local
%{_mandir}/man8/kadmin.local.8*
%{_sbindir}/kadmind
%{_mandir}/man8/kadmind.8*
%{_sbindir}/kdb5_util
%{_mandir}/man8/kdb5_util.8*
%if !%bootstrap
%{_sbindir}/kdb5_ldap_util
%{_mandir}/man8/kdb5_ldap_util.8*
%endif
%{_sbindir}/kprop
%{_mandir}/man8/kprop.8*
%{_sbindir}/kpropd
%{_mandir}/man8/kpropd.8*
%{_sbindir}/kproplog
%{_mandir}/man8/kproplog.8*
%{_sbindir}/krb5kdc
%{_mandir}/man8/krb5kdc.8*
%{_sbindir}/sim_server

# This is here for people who want to test their server, and also 
# included in devel package for similar reasons.
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*

%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%dir %{_libdir}/krb5/plugins/kdb
%dir %{_libdir}/krb5/plugins/preauth
%dir %{_libdir}/krb5/plugins/authdata


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgssapi_krb5.so.*
%{_libdir}/libgssrpc.so.*
%{_libdir}/libk5crypto.so.*
%{_libdir}/libkrb5.so.*
%{_libdir}/libkrb5support.so.*
%{_libdir}/libkadm5clnt_mit.so.*
%{_libdir}/libkadm5srv_mit.so.*
%{_libdir}/libkdb5.so.*
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%dir %{_libdir}/krb5/plugins/*
%{_libdir}/krb5/plugins/preauth/encrypted_challenge.so
%{_libdir}/krb5/plugins/kdb/db2.so 

%files -n %{libname}-devel
%defattr(-,root,root)
%doc doc/api
%doc doc/implement
%doc doc/kadm5
%doc doc/kadmin
%doc doc/krb5-protocol
%doc doc/rpc
%multiarch %{multiarch_bindir}/krb5-config
%multiarch %{multiarch_includedir}/gssapi/gssapi.h
%multiarch %{multiarch_includedir}/gssrpc/types.h
%multiarch %{multiarch_includedir}/krb5.h
%{_includedir}/*.h
%{_includedir}/gssapi
%{_includedir}/gssrpc
%{_includedir}/kadm5
%{_includedir}/krb5
%{_bindir}/krb5-config
%{_libdir}/libgssapi_krb5.so
%{_libdir}/libgssrpc.so
%{_libdir}/libk5crypto.so
%{_libdir}/libkadm5clnt.so
%{_libdir}/libkadm5clnt_mit.so
%{_libdir}/libkadm5srv.so
%{_libdir}/libkadm5srv_mit.so
%{_libdir}/libkdb5.so
%{_libdir}/libkrb5.so
%{_libdir}/libkrb5support.so 
%{_bindir}/sclient
%{_mandir}/man1/sclient.1*
%{_sbindir}/sserver
%{_mandir}/man8/sserver.8*
%{_mandir}/man1/krb5-config.1*

# Protocol test clients
%{_bindir}/sim_client
%{_bindir}/gss-client
%{_bindir}/uuclient

# Protocol test servers
%{_sbindir}/gss-server
%{_sbindir}/uuserver
%{_mandir}/man5/.k5login.5*
%{_mandir}/man5/krb5.conf.5*

%files pkinit-openssl
%defattr(-,root,root)
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins 
%dir %{_libdir}/krb5/plugins/preauth
%{_libdir}/krb5/plugins/preauth/pkinit.so

%files server-ldap
%defattr(-,root,root)
%doc src/plugins/kdb/ldap/libkdb_ldap/kerberos.ldif
%doc src/plugins/kdb/ldap/libkdb_ldap/kerberos.schema
%dir %{_libdir}/krb5
%dir %{_libdir}/krb5/plugins
%dir %{_libdir}/krb5/plugins/kdb
%if !%bootstrap
%{_libdir}/krb5/plugins/kdb/kldap.so
%{_libdir}/libkdb_ldap.so
%{_libdir}/libkdb_ldap.so.*
%{_sbindir}/kdb5_ldap_util
%endif



%changelog
* Tue May 03 2011 saispo <saispo> 1.8.3-5.mga1
+ Revision: 94391
- Sync Advisories for 2010 and 2011

  + rtp <rtp>
    - allow to break openldap <-> krb circular build require

* Sun Jan 09 2011 blino <blino> 1.8.3-4.mga1
+ Revision: 3724
- remove old conflicts and ldconfig scriptlets
- imported package krb5


* Wed Dec 01 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-3mdv2011.0
+ Revision: 604377
- sync with MDVSA-2010:246

* Wed Oct 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.3-2mdv2011.0
+ Revision: 585393
- P72: security fix for CVE-2010-1322

* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.3-1mdv2011.0
+ Revision: 567296
- new version

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.2-1mdv2011.0
+ Revision: 554668
- new version

* Wed May 19 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.1-5mdv2010.1
+ Revision: 545370
- P73: security fix for CVE-2010-1321

* Thu May 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8.1-4mdv2010.1
+ Revision: 542828
- clear the LDFLAGS in krb5-config

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - don't include libkdb_ldap.so in devel package (fix #59081)

* Wed Apr 28 2010 Antoine Ginies <aginies@mandriva.com> 1.8.1-2mdv2010.1
+ Revision: 540120
- bump release to be able to rebuild (ftp and telnet client are in the wrong version in repository)

* Tue Apr 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.8.1-1mdv2010.1
+ Revision: 539500
- new version
- sync with fedora spec, for easier maintainance
- drop lot of obsoletes stuff
- drop conditional krb4 support

* Tue Apr 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-15mdv2010.1
+ Revision: 534516
- P35: security fix for CVE-2010-0629 (redhat)

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 1.6.3-14mdv2010.1
+ Revision: 532108
- add fedora patch to build with openssl 1.0
- fix linkage when using configure2_5x
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-13mdv2010.1
+ Revision: 511585
- rebuilt against openssl-0.9.8m

* Thu Jan 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-12mdv2010.1
+ Revision: 491077
- P34: security fix for CVE-2009-4212

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-11mdv2010.1
+ Revision: 491023
- revert to 1.6.3

  + Zombie Ryushu <ryushu@mandriva.org>
    - Upgrade to 1.7
    - Upgrade to 1.7

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.3-10mdv2010.0
+ Revision: 425499
- rebuild

* Sun Apr 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.3-9mdv2009.1
+ Revision: 368034
- Add patches fixing CVE-2009-0846 and CVE-2009-0847
- Replace CVE-2009-0845 patch by upstream patch also fixing
  CVE-2009-0844 (via Fedora)

* Mon Mar 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.3-8mdv2009.1
+ Revision: 362598
- fix format errors

  + Oden Eriksson <oeriksson@mandriva.com>
    - P30: security fix for CVE-2009-0845
    - rediff patches

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.6.3-7mdv2009.1
+ Revision: 311084
- rebuild for new tcl
- add tcl86.patch (fix build for tcl 8.6)

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1.6.3-6mdv2009.0
+ Revision: 217188
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 26 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.6.3-6mdv2008.1
+ Revision: 190506
- fixed alternatives manpages extension

* Tue Mar 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-5mdv2008.1
+ Revision: 189926
- P25: security fix for CVE-2007-5901
- P26: security fix for CVE-2007-5971
- P27: security fix for CVE-2008-0062 and CVE-2008-0063
- P28: security fix for CVE-2008-0947

* Fri Feb 29 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.3-4mdv2008.1
+ Revision: 176811
- removed last instance of MANDRAKESOFT name
- include apparmor profile for /usr/bin/telnet

* Mon Jan 07 2008 Andreas Hasenack <andreas@mandriva.com> 1.6.3-3mdv2008.1
+ Revision: 146343
- unrestrict the libkrb53 requires on krb5 as per pixel's email

  + Funda Wang <fwang@mandriva.org>
    - fix man page extension

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1.6.3-2mdv2008.1
+ Revision: 136088
- fix krb5-devel <-> openldap-devel cross linkage (take one)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.3-1mdv2008.1
+ Revision: 101520
- updated to version 1.6.3
- removed 2007-006 security patch, already applied

* Sun Sep 30 2007 Anssi Hannula <anssi@mandriva.org> 1.6.2-7mdv2008.0
+ Revision: 94040
- add a conflict on old 32bit libkrb53 into 64bit krb5 to ensure smooth
  upgrade on biarch systems

* Wed Sep 26 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-6mdv2008.0
+ Revision: 93160
- remove historical options from krb5.conf, relying more on defaults

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-5mdv2008.0
+ Revision: 90816
- make library package only provide the libs themselves and
  not any other file (#32580)

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.2-4mdv2008.0
+ Revision: 89826
- rebuild

* Tue Sep 11 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-3mdv2008.0
+ Revision: 84549
- security patch for CVE-2007-3999 and CVE-2007-4000 (#33193)

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.6.2-2mdv2008.0
+ Revision: 70294
- kill file require on info-install

* Wed Jul 11 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.2-1mdv2008.0
+ Revision: 51241
- updated to 1.6.2
- dropped patches that were already applied

* Tue Jun 26 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-5mdv2008.0
+ Revision: 44629
- added security patches from advisories MITKRB5-SA-2007-004 and
  MITKRB5-SA-2007-005 (CVE-2007-2442, CVE-2007-2443 and CVE-2007-2798)
- rebuild with new serverbuild macro, enabling -fstack-protector-all

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-4mdv2008.0
+ Revision: 43231
- using serverbuild macro

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Added patch ftp_remove_printf_debug, to remove uneeded debug
      information of ftp client from ftp-client-krb5 package.
      Closes: #30467.

* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-2mdv2008.0
+ Revision: 17357
- oops, accidentally removed a previous change by Guillaume, fixed

* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 1.6.1-1mdv2008.0
+ Revision: 17353
- updated to version 1.6.1, dropping security patches which were already applied

* Sat Apr 21 2007 Andreas Hasenack <andreas@mandriva.com> 1.6-3mdv2008.0
+ Revision: 16432
- updated to version 1.6
- enabled LDAP backend
- added security patches for CVE-2007-0956, CVE-2007-0957
  and CVE-2007-1216
- fix segfault on password change
- make main initscripts cope with database in ldap
- added sample krb5.conf file for ldap usage
- setting sysconfdir in configure to avoid a lookup
  in /usr/etc instead of /etc at runtime
- major cleanup in spec file (basically, trusting upstream a bit more)
- return proper exit codes in the initscripts
- don't provide old names anymore
- disabled ftp and telnet servers (via xinetd) by default
- html doc
- rename html supplied doc
- use example.com domain and realm in the html supplied doc

* Fri Apr 20 2007 Andreas Hasenack <andreas@mandriva.com> 1.5.2-7mdv2008.0
+ Revision: 16419
- use a better default realm for the acl file
- fix plugin path (#30349)
- making defaults more secure for ftp and telnetd server (vdanen)


* Thu Apr 05 2007 Andreas Hasenack <andreas@mandriva.com> 1.5.2-6mdv2007.1
+ Revision: 150703
- applied security patches to fix vulnerabilities
  (CVE-2007-0956, CVE-2007-0957 and CVE-2007-1216)

* Tue Mar 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.2-5mdv2007.1
+ Revision: 142466
- make the workstation package provide kerberos-workstation virtual package

* Fri Feb 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-4mdv2007.1
+ Revision: 118433
- revert last change

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-3mdv2007.1
+ Revision: 117876
- added the /usr/include/krb5/kdb.h header, needed by php-kadm5

* Thu Jan 25 2007 mandrake <mandrake> 1.6-3mdv2007.1
+ Revision: 113280

* Thu Jan 11 2007 Andreas Hasenack <andreas@mandriva.com> 1.5.2-1mdv2007.1
+ Revision: 107488
- updated to version 1.5.2
- removed security patches 2006-002 and 2006-003, already applied
  in this version

* Tue Jan 09 2007 Andreas Hasenack <andreas@mandriva.com> 1.5.1-2mdv2007.1
+ Revision: 106777
- added security patches for two new vulnerabilities
  (2006-002 and 2006-003)

* Thu Nov 30 2006 Andreas Hasenack <andreas@mandriva.com> 1.5.1-1mdv2007.1
+ Revision: 89342
- updated to version 1.5.1
- dropped patches that were no longer being applied
- updated some patches, removed others (will keep cleaning this up)

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.4-1mdv2007.1
+ Revision: 77019
- updated to version 1.4.4
- removed security patch (already applied)

* Tue Oct 10 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.3-7mdv2007.0
+ Revision: 63201
- bumped release
- added LSB info to initscripts (#26356)
- bunzip some files

* Tue Aug 22 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.3-6mdv2007.0
+ Revision: 56977
- updated security patch for MIT krb5 Security Advisory 2006-001

* Thu Aug 10 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.3-5mdv2007.0
+ Revision: 54880
- bump release
- added patch for MITKRB5-SA-2006-001-setuid vulnerability
- import krb5-1.4.3-4mdv2007.0

* Wed Jun 07 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.4.3-4mdv2007.0
- rebuild properly when pthread_mutexattr_setrobust_np() is defined but not
  declared, such as with recent glibc when _GNU_SOURCE isn't being used (P25 from fedora)

* Tue Mar 07 2006 Andreas Hasenack <andreas@mandriva.com> 1.4.3-3mdk
- fixed kpropd initscript (Closes: #21491)

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-2mdk
- fix deps

* Mon Nov 21 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.3-1mdk
- updated to version 1.4.3
- Prereq -> Requires(foo)

* Thu Aug 18 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.2-1mdk
- updated to version 1.4.2
- removed MITKRB5-SA-2005-002 security patch, already applied
- removed MITKRB5-SA-2005-003 security patch, already applied

* Fri Aug 05 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-7mdk
- fixed init script to only call krb524 if it exists (#17213)

* Wed Jul 13 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-6mdk
- added security patches from MITKRB5-SA-2005-002 and MITKRB5-SA-2005-003
  (CAN-2005-1174, CAN-2005-1175 and CAN-2005-1689)

* Wed Jun 29 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-5mdk
- same (lfs patch) for ftp server

* Wed Jun 29 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-4mdk
- patch for LFS in the ftp client

* Tue Jun 28 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-3mdk
- using EXAMPLE.COM in default configuration file

* Tue Jun 28 2005 Andreas Hasenack <andreas@mandriva.com> 1.4.1-2mdk
- conditionally build krb4 support (disabled by default)
- removed empty %%post{,un} sections
- removed %%config tag from init scripts
- fixed profile scripts permissions
- using correct ./configure option to enable dns realm lookup

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-1mdk
- 1.4.1
- drop p11 (conflict), p24 (upstream) and p25 (conflict,unnecessary)
- previous changes for 1.4:
  - 1.4
  - drop p2,p12 (conflict), p15 (upstream), p16 (some conflict, some upstream),
    p17 (original source gone)

* Sat May 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-7mdk
- added one gcc4 patch (debian)

* Thu Apr 07 2005 Daouda LO <daouda@mandrakesoft.com> 1.3.6-6mdk
o Tue Mar 29 2005 Vincent Danen <vdanen@mandrakesoft.com> 1.3.4-2.2.101mdk
  - security fix for CAN-2005-0468, CAN-2005-0469

* Thu Mar 10 2005 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-5mdk
- reupload

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.6-4mdk
- multiarch + also preserve file names when generating headers from *.h files

* Sat Feb 12 2005 Pascal Terjan <pterjan@mandrake.org> 1.3.6-3mdk
- fix patch 13 causing segfault in ftp

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.6-2mdk
- fix deps and 
 
- fix no-reload-entry in the krb5server, krb524 and kprop init scripts

* Mon Jan 10 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.6-1mdk
- 1.3.6
- don't use chrpath on static libraries
- summary-ended-with-dot
- macroize

* Fri Dec 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.5-1mdk
- 1.3.5
- add P22 from fedora
- drop P20 & P21 (merged upstream)

* Sat Oct 09 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.3.4-2mdk
- include security patches (P20, P21) for CAN-2004-0642, CAN-2004-0643,
  CAN-2004-0644, CAN-2004-0772

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4
- added P19 (fedora)
- enable static devel libs
- misc spec file fixes

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.3-4mdk
- fix buildrequires
- spec cosmetics

* Tue May 18 2004 Florin <florin@mandrakesoft.com> 1.3.3-3mdk
- ugly rpath fix (brr, I hate to do that :o) )
- strip _bindir binaries

* Wed May 12 2004 Florin <florin@mandrakesoft.com> 1.3.3-2mdk
- add the 5-18 patches
- fix the master-key entry in kdc.conf

* Mon May 10 2004 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- spec cleanups

